Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# TextureReloadRequest Class Reference

This loader request will call Texture.get_ram_image() in a sub-thread, to force the texture's image to be re-read from disk. More...

Inheritance diagram for TextureReloadRequest:

List of all members.

## Public Member Functions
| TextureReloadRequest (string name, PreparedGraphicsObjects pgo, Texture texture, bool allow_compressed)
| Create a new TextureReloadRequest, and add it to the loader via load_async(), to begin an asynchronous load.
bool | getAllowCompressed ()
| Returns the "allow compressed" flag associated with this asynchronous TextureReloadRequest.
PreparedGraphicsObjects | getPreparedGraphicsObjects ()
| Returns the PreparedGraphicsObjects object associated with this asynchronous TextureReloadRequest.
Texture | getTexture ()
| Returns the Texture object associated with this asynchronous TextureReloadRequest.
bool | isReady ()
| Returns true if this request has completed, false if it is still pending.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This loader request will call Texture.get_ram_image() in a sub-thread, to force the texture's image to be re-read from disk.

It is used by GraphicsStateGuardian.async_reload_texture(), when get_incomplete_render() is true.

## Constructor & Destructor Documentation

TextureReloadRequest | ( | string | name,
|  | PreparedGraphicsObjects | pgo,
|  | Texture | texture,
|  | bool | allow_compressed
| ) |  |

Create a new TextureReloadRequest, and add it to the loader via load_async(), to begin an asynchronous load.

## Member Function Documentation

bool getAllowCompressed | ( |  | ) |

Returns the "allow compressed" flag associated with this asynchronous TextureReloadRequest.

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from AsyncTask.

PreparedGraphicsObjects getPreparedGraphicsObjects | ( |  | ) |

Returns the PreparedGraphicsObjects object associated with this asynchronous TextureReloadRequest.

Texture getTexture | ( |  | ) |

Returns the Texture object associated with this asynchronous TextureReloadRequest.

bool isReady | ( |  | ) |

Returns true if this request has completed, false if it is still pending.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties